/*
 * VMGJob_binding.hpp
 *
 *  Created on: Jan 14, 2013
 *      Author: heber
 */

#ifndef VMGJOB_BINDING_HPP_
#define VMGJOB_BINDING_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// force binding to libMolecuilderJobs
#include "Jobs/VMGJob.hpp"

namespace __detail {
  /** This is a dummy function to enforce binding of the executable to the
   * jobs library.
   */
  void instantiateDummyVMGJob()
  {
    VMGJob job(
        1,
        SamplingGrid(),
        std::vector< std::vector< double > >(),
        std::vector< double >(),
        1,
        1);
  }
}

#endif /* VMGJOB_BINDING_HPP_ */
